Bug 217025 - ftp/proftpd: Fix mod_tls build with LibreSSL
Summary: ftp/proftpd: Fix mod_tls build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-12 12:23 UTC by Bernard Spil
Modified: 2017-07-25 13:34 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mm)


Attachments
svn diff for ftp/proftpd (1.67 KB, patch)
2017-02-12 12:23 UTC, Bernard Spil
no flags Details | Diff
Fix for ProFTPd in combination with LibreSSL (8.24 KB, patch)
2017-04-10 11:26 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-02-12 12:23:42 UTC
Created attachment 179897 [details]
svn diff for ftp/proftpd

ftp/proftpd: Fix mod_tls build with LibreSSL

  - Remove IGNORE with LibreSSL SSL_DEFAULT
  - Add patch for mod_tls to build with LibreSSL

PR: 
Submitted by: brnrd
Comment 1 commit-hook freebsd_committer 2017-03-26 18:52:59 UTC
A commit references this bug:

Author: brnrd
Date: Sun Mar 26 18:52:35 UTC 2017
New revision: 436977
URL: https://svnweb.freebsd.org/changeset/ports/436977

Log:
  ftp/proftpd: Fix mod_tls build with LibreSSL

    - Remove IGNORE with LibreSSL SSL_DEFAULT
    - Add patch for mod_tls to build with LibreSSL

  PR:		217025
  Approved by:	maintainer timeout

Changes:
  head/ftp/proftpd/Makefile
  head/ftp/proftpd/files/patch-modules_mod__tls.c
Comment 2 Jan Beich freebsd_committer 2017-04-02 09:38:27 UTC
Backed out in ports r437013 for bustage:

===>  Applying FreeBSD patches for proftpd-1.3.5d
No file to patch.  Skipping...
2 out of 2 hunks ignored--saving rejects to modules/mod_tls.c.rej
=> FreeBSD patch patch-modules_mod__tls.c failed to apply cleanly.
=> Patch(es)  patch-8-src-fsio.c patch-contrib-mod_sftp-Makefile.in patch-doc__Configuration.html applied cleanly.
*** Error code 1

http://package19.nyi.freebsd.org/data/103i386-default-build-as-user/437010/logs/proftpd-1.3.5d.log
Comment 3 Ralf van der Enden 2017-04-10 11:26:18 UTC
Created attachment 181645 [details]
Fix for ProFTPd in combination with LibreSSL
Comment 4 commit-hook freebsd_committer 2017-05-14 10:04:58 UTC
A commit references this bug:

Author: brnrd
Date: Sun May 14 10:04:28 UTC 2017
New revision: 440871
URL: https://svnweb.freebsd.org/changeset/ports/440871

Log:
  ftp/proftpd: Fix LibreSSL patch

   - Adjust patch for mod_tls move to contrib/
   - Remove broken with LibreSSL

  PR:		217025
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	maintainer timeout

Changes:
  head/ftp/proftpd/Makefile
  head/ftp/proftpd/files/patch-contrib_mod__tls.c